complexType "CapFloor"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 9 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, embeddedOptionType[0..2])?, capFloorStream?, premium*, additionalPayment*, earlyTerminationProvision?
</...>

Content Model Elements (9):

  additionalPayment (in capFloor), capFloorStream, earlyTerminationProvision (in capFloor), embeddedOptionType, premium (in capFloor), | primaryAssetClass (defined in Product.model group), productId, productType (defined in Product.model group), secondaryAssetClass

All Direct / Indirect Based Elements (1):

  capFloor

Known Usage Locations

- As direct type of elements (1):
  capFloor

Annotation
A type defining an interest rate cap, floor, or cap/floor strategy (e.g. collar) product.
Type Definition Detail

Type Derivation Tree Product (extension) CapFloor

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="CapFloor"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element minOccurs="0" name="capFloorStream" type="InterestRateStream"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="premium" type="Payment"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalPayment" type="Payment"/> <xsd:element minOccurs="0" name="earlyTerminationProvision" type="EarlyTerminationProvision"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/9)
additionalPayment

  Type: | Payment, complex content

  Additional payments between the principal parties.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalPayment" type="Payment"/>

capFloorStream

  Type: | InterestRateStream, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="capFloorStream" type="InterestRateStream"/>

earlyTerminationProvision

  Type: | EarlyTerminationProvision, complex content

  Parameters specifying provisions relating to the optional and mandatory early terminarion of a CapFloor transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="earlyTerminationProvision" type="EarlyTerminationProvision"/>

premium

  Type: | Payment, complex content

  The option premium amount payable by buyer to seller on the specified payment date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="premium" type="Payment"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.